%define rbname rpm
%define version 1.2.3
%define release %mkrel 10

Summary: An interface to access RPM database for Ruby
Name: ruby-%{rbname}
Version: %{version}
Release: %{release}
Group: Development/Ruby
License: GPL
URL: http://rubyforge.org/projects/ruby-rpm/
Source0: %{name}-%{version}.tar.bz2
Source1: rpmvercmp.rb
Patch0: ruby-rpm-1.2.3-rpm46.patch
Patch2:	ruby-rpm-1.2.3-rpm5.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.1
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: db4-devel

%description
Ruby/RPM is an interface to access RPM database for Ruby

%prep
%setup -q
%patch0 -p1 -b .rpm46
#%patch2 -p1 -b .rpm5

%build
ruby install.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_sitelibdir} \
    --so-dir=%{ruby_sitearchdir} \
    --data-dir=%{_datadir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_sitelibdir} \
    --so-dir=%{buildroot}%{ruby_sitearchdir} \
    --data-dir=%{buildroot}%{_datadir}
ruby install.rb install
chmod 0755 %{buildroot}%{ruby_sitearchdir}/rpmmodule.so
mkdir -p %{buildroot}%{_bindir}
cp -p %{SOURCE1} %{buildroot}%{_bindir}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog doc
%{ruby_sitelibdir}/rpm.rb
%{ruby_sitearchdir}/rpmmodule.so
%{_bindir}/rpmvercmp.rb




%changelog
* Thu Mar 05 2009 Pascal Terjan <pterjan@mandriva.org> 1.2.3-10mdv2009.1
+ Revision: 348798
- Add rpm 4.6 patch from momonga (and disable rpm5 patch for now)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new rpm

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-8mdv2009.0
+ Revision: 260434
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-7mdv2009.0
+ Revision: 251785
- rebuild

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-5mdv2008.1
+ Revision: 183269
- fixed misleading usage message in rpmvercmp.rb...

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-4mdv2008.1
+ Revision: 183267
- included a very simple rpm version comparator (/usr/bin/rpmvercmp.rb)

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-3mdv2008.1
+ Revision: 183208
- needs a rebuild, for either new rpm, or new ruby (unlikely, I think)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add rpm5 support (P2)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2.3-2mdv2008.0
+ Revision: 37950
- patch1: rpm 4.4.8 adaptation

* Sun May 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 28768
- 1.2.3


* Thu Mar 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 147836
- 1.2.2
- drop the first part of P0 (merged upstream)
- use standart macros

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-6mdv2007.1
+ Revision: 105067
- Bump release
- Update group and URL

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-5mdv2007.1
+ Revision: 104992
- Fix building with latest rpm
- 1.2.1
- drop old patches
- start support building against new rpm
- Import ruby-rpm

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-7mdk
- Add patch 4 (avoid segfaults with rpm 4.4.5)

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-6mdk
- Rebuild for rpm 4.4.5

* Thu Jul 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-5mdk
- add upstrem patch (P3) implementing sprintf method

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2.0-4mdk
- rebuild for rpm 4.4

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-3mdk
- replace P0 with upstream patch also fixing rb_time_new
- add upstream patch (P1) implementing expand method
- add upstream patch (P2) implementing inspect method

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-2mdk
- fix rb_time_new usage

* Sat Jul 03 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- Adapt for Mandrakelinux 
- Patch for a segfault when TMP or TEMP or TMPDIR exist but does not contain =

